// NOTE:
// this installation script is used only by Mozilla, not Firefox

// User defined constants
  const myProductName = "yahootoolbar"; //same as the package name in contents.rdf
  const myProductRegKey = "/mozilla/yahootoolbar";
  const myProductRegVersion = "0.5.5.20050103";
  const myJarFileName = "yahootoolbar.jar";
  
// Installation Script
    
  var err = initInstall(myProductName, myProductRegKey, myProductRegVersion);
  logComment("initInstall: " + err);
  
  fChrome = getFolder("Chrome");
  setPackageFolder(fChrome);
    
  err = addFile("chrome/" + myJarFileName)             
  logComment("addFile() returned: " + err);
  
  regErr = registerChrome(PACKAGE | DELAYED_CHROME, getFolder(fChrome,myJarFileName), "content/");
  logComment("regChrome returned: " + regErr);

  if (0 == getLastError())
    performInstall();
  else
    cancelInstall(err);
